Jump to content
xt:Commerce Community Forum
Sign in to follow this  
66mausi

PayPal-Plugin 2.3 mit PHP 5.3 codiert

Recommended Posts

Hallo,

habe mir das neue PayPal Plugin 2.3 für PHP 5.2 herruntergeladen. Nach der Installation kommt ein Hinweis beim Bestellvorgang (SYSTEM_DEBUG=true), dass die IonCube Version nicht korrekt sei. Ok, geupated und nun kommt "class.paypal.php was encoded with the PHP 5.3 ionCube Encoder and requires PHP 5.3 to be installed. in Unknown on line 0". Öhh?

Weiß jemand dazu mehr?

lga

Share this post


Link to post
Share on other sites

Ich bin noch mal auf die o.g. Addons-Seite gegangen und habe an einem winzigen Detail gesehen (im Dateinamen fehlte an einer Stelle ein Unterstrich :) ), das die Datei anders ist, als die vor zwei Tagen. Beim genaueren betrachten stimmte meine Vermutung. Die entscheidene Klasse war nochmals bearbeitet worden.

Darum habe ich einen erneuten Installationsversuch gestartet. Am Ende gab es wieder eine weiße Seite mit folgendem Log-Eintrag:

21-Nov-2014 11:56:15 1x PHP Fatal error: The file /htdocs/plugins/xt_paypal/classes/class.paypal.php cannot be decoded by this version of the ionCube Loader. If you are the administrator of this site then please install the latest version of the ionCube Loader. in Unknown on line 0

Das ist auch nicht schön, aber wahrscheinlich durch uns behebbar. Nun warte ich auf meinen Server-Admin, bis er das ionCube-Update eingespielt hat. Dann starte ich Versuch No.3. Ich hoffe aber, das danach alles gut gehen wird. Wenn nicht, melde ich mich.

Viele Grüße,

Mario Lorenz

Share this post


Link to post
Share on other sites

Hallo,

also bei uns hat es jetzt funktioniert.

D.h. wir haben auf dem Server mit PHP5.2 die letzte Version des ionCube-Loaders für PHP5.2 installiert.

Danach das neue Modul Version 2.3 für PHP5.2 installiert, aktivert, mit Sandbox getestet und dann live geschaltet.

Danke und Grüße,

Mario Lorenz

Share this post


Link to post
Share on other sites

Hallo,

also bei uns hat es jetzt funktioniert.

D.h. wir haben auf dem Server mit PHP5.2 die letzte Version des ionCube-Loaders für PHP5.2 installiert.

Danach das neue Modul Version 2.3 für PHP5.2 installiert, aktivert, mit Sandbox getestet und dann live geschaltet.

Danke und Grüße,

Mario Lorenz

Hallo,

wir haben nur Probleme mit dem neuen 2.3.0 Modul.

Nach Aktivierung des Moduls gibt es beim Customer Login und beim Cart nur noch eine fehlerhafte Ausgabe. Man erhält quasi ne "Whitepage" mit CSS-freien Ausschnitten der jeweiligen Page.

Schaltet man das Plugin ab und aktualisiert die Seite geht alles ohne Probleme.

Wir verwenden 4.1.00 mit PHP 5.2.17 und laut phpinfo cURL libcurl/7.21.0 OpenSSL/0.9.8o zlib/1.2.3.4 libidn/1.15 libssh2/1.2.6.

Welche Version nutzt Ihr von xt?

*edit*

auch nach update von ionCube von 4.4.1 auf 4.7.2 bleibt das Problem bestehen.

Edited by JapanKoi
Test von Foren Tipp fehlgeschlagen

Share this post


Link to post
Share on other sites

Hallo,

was sagt das PHP-Errorlog. Weiße Seiten sind ja Zeichen, das etwas nicht passt. Die Fehler landen i.d.R. im Errorlog. Bei der Auswertung unseres Logs kam ich ja auch dahinter, das unsere ionCube-Verison zu alt war (das scheint aber bei Euch nicht das Problem zu sein).

Grüße,

Mario Lorenz

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

×
×
  • Create New...